Skip to content
Lenso
English
Esc
navigateopen⌘Jpreview

GET /oauth/authorize

GET/oauth/authorize
Query parameters
response_typestringrequired
Must be `code`
client_idstringrequired
Registered OIDC client id
redirect_uristringrequired
Registered redirect URI
scopestringrequired
Space-separated scopes including `openid`
statestring
Opaque client state echoed to the redirect URI
noncestring
Opaque nonce stored with the authorization code
code_challengestringrequired
PKCE S256 code challenge
code_challenge_methodstringrequired
Must be `S256`
Responses
303Redirects to the registered redirect URI with an authorization code
400Request validation failed
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
401Authentication is required
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
500Internal server error
codestringrequired
correlation_idstring | null
detailstringrequired
errorsProblemErrorDetail[]required
Show properties
Array of ProblemErrorDetail
fieldstring | null
reasonstringrequired
next_actionsstring[] | null
request_idstring | null
statusinteger<int32>required
min 100 · max 599
titlestringrequired
typestringrequired
Request
curl -X GET "/oauth/authorize?response_type=string&client_id=string&redirect_uri=string&scope=string&code_challenge=string&code_challenge_method=string"
Response
Redirects to the registered redirect URI with an authorization code